﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace NetCoreWebAPI.Controllers
{
    [Produces("application/json")]
    [Route("api/MyFirstAPI")]
    public class MyFirstAPIController : Controller
    {
        [HttpGet("GetFruits")]
        public async Task<List<string>> GetFruits()
        {
            List<string> fruits = new List<string>();
            fruits.Add("Apple");
            fruits.Add("Banana");
            fruits.Add("Blueberry");
            fruits.Add("Cherry");
            fruits.Add("Mango");
            fruits.Add("Pear");
            fruits.Add("Strawberry");
            return await Task.Run(() =>
            {
                return fruits;
            });
        }
    }
}